package com.aurellem.capture.examples;

import java.io.File;
import java.io.IOException;

import jme3test.helloworld.HelloLoop;

import com.aurellem.capture.IsoTimer;
import com.aurellem.capture.Capture;
import com.jme3.app.SimpleApplication;

public class HelloVideo {

    public static void main(String[] ignore) throws IOException {
	SimpleApplication app = new HelloLoop();
	File video = File.createTempFile("helloVideo", ".avi");
	app.setTimer(new IsoTimer(60));
	Capture.captureVideo(app, video);
	app.start();
	System.out.println(video.getCanonicalPath());
    }
}
